	PAGE	,132				; 
;	SCCSID = @(#)ifsflink.asm 1.0 87/05/11
TITLE	IFSFUNC LINK FIX ROUTINES - Routines to resolve ifsfunc externals
NAME	IFSFLINK

.xlist
.xcref
INCLUDE DOSSYM.INC
INCLUDE DEVSYM.INC
.cref
.list

CODE	SEGMENT BYTE PUBLIC 'CODE'
code	ENDS

include dosseg.asm

code	SEGMENT BYTE PUBLIC 'code'
	ASSUME	CS:dosgroup

	procedure OUTT,FAR
	entry	D_DUP
	entry	MSG_RETRIEVAL
	entry	D_ECS_CALL
	entry	D_EXTENDED_OPEN
	entry	FASTINIT
	entry	D_IFS_IOCTL
	entry	IFS_DOSCALL
	entry	D_QUERY_DOS_VALUE
	entry	D_STD_AUX_INPUT,FAR
	entry	LCRITDEVICE,FAR
	entry	D_ABORT,FAR
	entry	D_SET_TIME,FAR
	entry	D_ALLOC,FAR
	entry	SETMEM,FAR
	entry	SKIPONE,FAR
	entry	D_SET_DMA,FAR
	entry	D_PARSE_FILE_DESCRIPTOR,FAR
	entry	D_CREATETEMPFILE,FAR
	entry	D_SLEAZEFUNCDL,FAR
	entry	D_CHDIR,FAR
	entry	TWOESC,FAR
	entry	D_GET_INTERRUPT_VECTOR,FAR
	entry	D_FCB_SEQ_WRITE,FAR
	entry	DEVNAME,FAR
	entry	D_GET_DEFAULT_DRIVE,FAR
	entry	D_STD_CON_STRING_INPUT,FAR
	entry	D_CLOSE,FAR
	entry	D_RAW_CON_IO,FAR
	entry	D_INTERNATIONAL,FAR
	entry	IDLE,FAR
	entry	D_STD_CON_INPUT_NO_ECHO,FAR
	entry	D_ASSIGNOPER,FAR
	entry	D_LOCKOPER,FAR
	entry	D_FCB_CLOSE,FAR
	entry	D_STD_CON_STRING_OUTPUT,FAR
	entry	D_DUP_PDB,FAR
	entry	GETCH,FAR
	entry	STRLEN,FAR
	entry	INITCDS,FAR
	entry	COPYONE,FAR
	entry	PJFNFROMHANDLE,FAR
	entry	D_GET_VERIFY_ON_WRITE,FAR
	entry	D_KEEP_PROCESS,FAR
	entry	STRCMP,FAR
	entry	D_SET_INTERRUPT_VECTOR,FAR
	entry	D_FCB_DELETE,FAR
	entry	D_RAW_CON_INPUT,FAR
	entry	D_RENAME,FAR
	entry	D_FIND_FIRST,FAR
	entry	D_FCB_RANDOM_WRITE,FAR
	entry	D_SET_DEFAULT_DRIVE,FAR
	entry	D_SETDPB,FAR
	entry	D_STD_PRINTER_OUTPUT,FAR
	entry	D_MKDIR,FAR
	entry	D_DUP2,FAR
	entry	SET_SFT_MODE,FAR
	entry	D_GET_DATE,FAR
	entry	D_FCB_RENAME,FAR
	entry	D_CREATE_PROCESS_DATA_BLOCK,FAR
	entry	D_CREAT,FAR
	entry	ECRITDISK,FAR
	entry	PLACEBUF,FAR
	entry	D_IOCTL,FAR
	entry	D_READ,FAR
	entry	PATHCHRCMP,FAR
	entry	D_GET_VERSION,FAR
	entry	COPYLIN,FAR
	entry	LCRITDISK,FAR
	entry	D_LSEEK,FAR
	entry	STRCPY,FAR
	entry	D_FILE_TIMES,FAR
	entry	BACKSP,FAR
	entry	D_SET_VERIFY_ON_WRITE,FAR
	entry	SETYEAR,FAR
	entry	FASTRET,FAR
	entry	D_RMDIR,FAR
	entry	DIVOV,FAR
	entry	D_GET_FCB_POSITION,FAR
	entry	D_DISK_RESET,FAR
	entry	D_DIR_SEARCH_FIRST,FAR
	entry	D_WAIT,FAR
	entry	FASTOPENCOM,FAR
	entry	STAY_RESIDENT,FAR
	entry	D_ALLOCOPER,FAR
	entry	D_GET_DEFAULT_DPB,FAR
	entry	DSTRLEN,FAR
	entry	CTRLZ,FAR
	entry	D_USEROPER,FAR
	entry	D_SET_DATE,FAR
	entry	D_FCB_RANDOM_WRITE_BLOCK,FAR
	entry	EXITINS,FAR
	entry	D_GET_IN_VARS,FAR
	entry	GETDEVLIST,FAR
	entry	DATE16,FAR
	entry	POINTCOMP,FAR
	entry	SFFROMSFN,FAR
	entry	SKIPSTR,FAR
	entry	FREE_SFT,FAR
	entry	SHARE_ERROR,FAR
	entry	NLS_IOCTL,FAR
	entry	D_CURRENT_DIR,FAR
	entry	D_FCB_CREATE,FAR
	entry	D_WRITE,FAR
	entry	D_GET_INDOS_FLAG,FAR
	entry	RECSET,FAR
	entry	D_CREATENEWFILE,FAR
	entry	D_STD_CON_INPUT_STATUS,FAR
	entry	REEDIT,FAR
	entry	GETTHISDRV,FAR
	entry	DSUM,FAR
	entry	D_GETEXTENDEDERROR,FAR
	entry	D_EXTHANDLE,FAR
	entry	D_NAMETRANS,FAR
	entry	NLS_LSEEK,FAR
	entry	SCANPLACE,FAR
	entry	GETCDSFROMDRV,FAR
	entry	DSLIDE,FAR
	entry	UCASE,FAR
	entry	D_STD_CON_OUTPUT,FAR
	entry	D_FCB_RANDOM_READ_BLOCK,FAR
	entry	CHECKFLUSH,FAR
	entry	COPYSTR,FAR
	entry	D_GETSETCDPG,FAR
	entry	D_DIR_SEARCH_NEXT,FAR
	entry	D_OPEN,FAR
	entry	SKIPVISIT,FAR
	entry	D_EXEC,FAR
	entry	D_DEALLOC,FAR
	entry	DOS_CLOSE,FAR
	entry	D_STD_CON_INPUT,FAR
	entry	NLS_GETEXT,FAR
	entry	BUFWRITE,FAR
	entry	D_GET_TIME,FAR
	entry	D_SLEAZEFUNC,FAR
	entry	D_CHAR_OPER,FAR
	entry	NET_I24_ENTRY,FAR
	entry	D_COMMIT,FAR
	entry	D_SETBLOCK,FAR
	entry	D_FCB_OPEN,FAR
	entry	NLS_OPEN,FAR
	entry	D_GET_DMA,FAR
	entry	D_UNLINK,FAR
	entry	D_FCB_SEQ_READ,FAR
	entry	D_STD_CON_INPUT_FLUSH,FAR
	entry	D_GET_DRIVE_FREESPACE,FAR
	entry	DRIVEFROMTEXT,FAR
	entry	D_GETEXTCNTRY,FAR
	entry	SETVISIT,FAR
	entry	D_EXIT,FAR
	entry	D_STD_AUX_OUTPUT,FAR
	entry	KILNEW,FAR
	entry	D_CHMOD,FAR
	entry	D_FCB_RANDOM_READ,FAR
	entry	SHARE_VIOLATION,FAR
	entry	ECRITDEVICE,FAR
	entry	D_GET_DPB,FAR
	entry	D_FIND_NEXT,FAR
	entry	D_GET_FCB_FILE_LENGTH,FAR
	entry	ENTERINS,FAR
	entry	DEVIOCALL2,FAR
	entry	D_SERVERCALL,FAR
	entry	D_GSETMEDIAID,FAR
	entry	FETCHI_CHECK,FAR
	entry	TABLEDISPATCH,FAR
	entry	DSKSTATCHK,FAR
	entry	SET_RQ_SC_PARMS,FAR
	entry	SAVE_MAP,FAR
	entry	RESTORE_MAP,FAR
	entry	DSKREAD,FAR
	entry	FAST_DISPATCH,FAR
	entry	DSKWRITE,FAR
	entry	INTCNE0,FAR
	entry	SHARE_INSTALL,FAR							 ;P3568
	entry	FAKE_VERSION,FAR							 ;D503
	NOP
EndProc OUTT

	code	ENDS
    END


